Skip to main content
GET
/
api
/
payments
Export payments
curl --request GET \
  --url https://api.stage.rocka.live/api/payments \
  --header 'x-api-key: <api-key>'
{
  "payments": [
    {
      "id": "a19834d7-3568-43ae-995c-5924ab5f6609",
      "merchantPaymentId": "test_42e1d37d-9831-4c42-a052-ce99c173bf42",
      "amount": 3.21,
      "currency": "EUR",
      "status": "Done",
      "description": "Test-mag",
      "reference": "KRZF242T PAYMENT",
      "createdDate": "2025-09-23T11:51:26.882Z",
      "finalisedDate": "2025-09-23T11:51:55.425Z"
    },
    {
      "id": "6c141e45-864e-4be1-9fb8-39fc7ae83d0a",
      "merchantPaymentId": "test_cd2585cd-0edf-4acc-a951-9ed74a2512df",
      "amount": 3.21,
      "currency": "EUR",
      "status": "Done",
      "description": "Test-mag",
      "reference": "ZH6BJZHF PAYMENT",
      "createdDate": "2025-09-23T11:11:21.779Z",
      "finalisedDate": "2025-09-23T11:11:46.974Z"
    },
    {
      "id": "564240a6-d7b4-4da5-b1ca-5ed885793602",
      "merchantPaymentId": "test_3ba6d845-01ae-4c28-aa56-b2942f8b082c",
      "amount": 3.21,
      "currency": "EUR",
      "status": "Done",
      "description": "Test-mag",
      "reference": "OM4GLWVC PAYMENT",
      "createdDate": "2025-09-23T11:10:06.184Z",
      "finalisedDate": "2025-09-23T11:10:36.601Z"
    }
  ],
  "continuationToken": null
}

Authorizations

x-api-key
string
header
required

To get your own API keys, go to the Integration tab in your Rocka Hub. Use your test (not live) credentials to make API requests from this form.

Query Parameters

merchantPaymentId
string

Your Rocka payment ID.

status
any

Filter by payment status.

dateFrom
string<date-time>

Only include payments that were made after a certain date. YYYY-MM-DD.

dateTo
string<date-time>

Only include payments that were made before a certain date. YYYY-MM-DD.

limit
string

Limit the number of payments retrieved.

Response

200 - application/json

Payments retrieved successfully.

payments
object[]
continuationToken
string | null
Last modified on June 22, 2026